Get payment options
curl --request POST \
--url https://api.pay.walletconnect.com/v1/gateway/payment/{id}/options \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"accounts": [
"<string>"
],
"refresh": [
"<string>"
]
}
'import requests
url = "https://api.pay.walletconnect.com/v1/gateway/payment/{id}/options"
payload = {
"accounts": ["<string>"],
"refresh": ["<string>"]
}
headers = {
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({accounts: ['<string>'], refresh: ['<string>']})
};
fetch('https://api.pay.walletconnect.com/v1/gateway/payment/{id}/options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"options": [
{
"actions": [
{
"data": {
"chain_id": "<string>",
"method": "<string>",
"params": [
"<unknown>"
]
},
"type": "walletRpc"
}
],
"amount": {
"display": {
"assetName": "<string>",
"assetSymbol": "<string>",
"decimals": 1,
"iconUrl": "<string>",
"networkIconUrl": "<string>",
"networkName": "<string>"
},
"unit": "<string>",
"value": "<string>"
},
"etaS": 1,
"id": "<string>",
"account": "<string>",
"collectData": {
"url": "<string>",
"schema": {},
"fields": [
{
"id": "<string>",
"name": "<string>",
"required": true
}
]
}
}
],
"collectData": {
"url": "<string>",
"schema": {},
"fields": [
{
"id": "<string>",
"name": "<string>",
"required": true
}
]
},
"info": {
"amount": {
"display": {
"assetName": "<string>",
"assetSymbol": "<string>",
"decimals": 1,
"iconUrl": "<string>",
"networkIconUrl": "<string>",
"networkName": "<string>"
},
"unit": "<string>",
"value": "<string>"
},
"expiresAt": 1,
"merchant": {
"name": "<string>",
"iconUrl": "<string>"
},
"buyer": {
"accountCaip10": "<string>",
"accountProviderName": "<string>",
"accountProviderIcon": "<string>"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Gateway
Get payment options
List available options a wallet can use to complete a payment.
POST
/
v1
/
gateway
/
payment
/
{id}
/
options
Get payment options
Authorizations
Path Parameters
Payment ID
Query Parameters
Whether to include payment information in the response
⌘I